# Πρόγραμμα Σύγκρισης των Ημερήσιων Εσόδων δύο Υποκαταστημάτων 

# Ορισμός συνάρτησης υπολογισμού του αθροίσματος των στοιχείων
# μια λίστας αριθμών.
# Παράμετρος Εισόδου η μεταβλητή lista που έχει ως τιμή τη λίστα αριθμών
def athroisma_listas(lista):
    # Έλεγχος εάν η λιστα lista είναι κενή
    if lista==[]:
        # Εάν είναι κενή, τότε το apotelesma είναι 0 
        apotelesma=0
    else:
        # Εάν δεν είναι κενή, τότε το αποτέλεσμα είναι το άθροισμα
        # του πρώτου αριθμού της λίστας (βρίσκεται στη θέση [0]
        # και του αποτελέσματος της κλήσης της ίδιας συνάρτησης
        # athoisma_listas για τα υπόλοιπα στοιχεία της λίστας
        # (από τη θέση 1 έως το τέλος της)
        apotelesma= lista[0]+athroisma_listas(lista[1:])
    # Ως τιμή εξόδου επιστρέφεται η τιμή της μεταβλητής apotelesma
    return apotelesma

# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Σύγκρισης των Ημερήσιων Εσόδων \
δύο Υποκαταστημάτων")
print()

# Ορισμός λιστών αποδείξεων των δύο υποκαταστημάτων
lista_apodeix1=[45.55, 34.55, 78.45, 38.25, 62.12, 74.38, 82.95]
lista_apodeix2=[82.35,84.05, 29.55, 17.44, 71.46, 91.11, 23.29, 44.64, 17.86]

# Εμφάνιση λιστών αποδείξεων των δύο υποκαταστημάτων
print("Σύμφωνα με τα υπάρχοντα στοιχεία:")
print()
print("H λίστα των αποδείξεων του 1ου Yποκαταστήματος είναι:")
print(lista_apodeix1)
print()
print("H λίστα των αποδείξεων του 2ου Yποκαταστήματος είναι:")
print(lista_apodeix2)
print()

# Κλήση αναδρομικής συνάρτησης athroisma_listas για τις λίστες αποδείξεων
esoda1=athroisma_listas(lista_apodeix1)
esoda2=athroisma_listas(lista_apodeix2)

# Εμφάνιση εσόδων των δύο υποκαταστημάτων
print("Βάσει των παραπάνω στοιχείων:")
print("Τα Ημερήσια Έσοδα του 1ου Yποκαταστήματος είναι:", esoda1)
print("Τα Ημερήσια Έσοδα του 2ου Yποκαταστήματος είναι:", esoda2)

# Υπολογισμός ποσοστού διαφοράς εσόδων 1ου Υποκαταστήματος
# σε σχέση με τα έσοδα του 2ου Υποκαταστήματος
pososto_diaforas= 100*(esoda1-esoda2)/esoda2

# Ελεγχος εάν το pososto_diaforas είναι θετικός αριθμός ή μηδέν
if pososto_diaforas>=0:
    # Εμφάνιση αποτελέσματος για την περίπτωση το πρώτο υποκατάστημα
    # να έχει μεγαλύτερα έσοδα από το δεύτερο
    print("Το 1ο Υποκατάστημα έχει",'%.2f' %pososto_diaforas,"% μεγαλύτερα \
έσοδα από το 2ο Υποκατάστημα")
# Εάν το pososto_diaforas είναι αρνητικός αριθμός
else:
    # Η μεταβλητή pososto έχει αντίθετο πρόσημο (και θετικό) από αυτό \
    # της μεταβλητής pososto_diaforas
    pososto=-pososto_diaforas
    # Εμφάνιση αποτελέσματος για την περίπτωση το πρώτο υποκατάστημα
    # να έχει μικρότερα έσοδα από το δεύτερο
    print("Το 1ο Υποκατάστημα έχει",'%.2f'%pososto,"% μικρότερα έσοδα \
από το 2ο Υποκατάστημα")

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα Σύγκρισης \
Ημερήσιων Εσόδων δύο Υποκαταστημάτων")     
